PDA

View Full Version : Installing VMWare Workstation 11



aacawa
15th October 2015, 09:25 PM
Hi there

I am running Fedora 22, and want to install VMware Workstation 11

When I run the installer program I get the following message



[root@lp3aaw13 Downloads]# bash VMware*
Extracting VMware Installer...done.

(vmware-installer.py:4700): Gtk-WARNING **: Unable to locate theme engine in module_path: "adwaita",

(vmware-installer.py:4700): Gtk-WARNING **: Unable to locate theme engine in module_path: "adwaita",
/usr/share/themes/Adwaita/gtk-2.0/gtkrc:1163: error: unexpected identifier `direction', expected character `}'
Gtk-Message: Failed to load module "pk-gtk-module": libpk-gtk-module.so: cannot open shared object file: No such file or directory
Gtk-Message: Failed to load module "canberra-gtk-module": libcanberra-gtk-module.so: cannot open shared object file: No such file or directory

(vmware-installer.py:4734): Gtk-WARNING **: Unable to locate theme engine in module_path: "adwaita",

(vmware-installer.py:4734): Gtk-WARNING **: Unable to locate theme engine in module_path: "adwaita",
/usr/share/themes/Adwaita/gtk-2.0/gtkrc:1163: error: unexpected identifier `direction', expected character `}'
Gtk-Message: Failed to load module "pk-gtk-module": libpk-gtk-module.so: cannot open shared object file: No such file or directory
Gtk-Message: Failed to load module "canberra-gtk-module": libcanberra-gtk-module.so: cannot open shared object file: No such file or directory



I have VMWare 12 installed at the same time, but I wouldn't think that this would cause a problem

I tried to resolve the error by


sudo dnf install PackageKit-gtk3-module

But it was already installed

Any help would be appreciated

Aaron

pitonyak
19th October 2015, 06:47 PM
This is a total guess, but... Do you have the 64-bit or the 32-bit version of the library installed? Does the error go away if you install both versions?

I am curious, what Kernel version do you have (the latest I think is 4.2.3-200). Use "uname -a" to list the kernel version in case you did not know.

aacawa
20th October 2015, 10:01 AM
HI

I had the 64 bit version installed - Installed the 32 bit aswell, still no luck

I am using Kernel 4.2.3-200

I wouldn't have this problem if Workstation 12 could just have Linux unity support :'(

Thanks foe the suggestions anyway
Aaron